Bug 205878 - multimedia/mkvtoolnix: Pkg not found, Port fails to build on FreeNAS 9.3.1
Summary: multimedia/mkvtoolnix: Pkg not found, Port fails to build on FreeNAS 9.3.1
Status: Closed Unable to Reproduce
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, regression
Depends on:
Blocks:
 
Reported: 2016-01-04 15:32 UTC by andrew
Modified: 2016-01-09 16:54 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments
Screenshot showing port install error (127.28 KB, image/jpeg)
2016-01-04 15:32 UTC, andrew
no flags Details
5th jan - port error (147.64 KB, image/jpeg)
2016-01-05 16:26 UTC, andrew
no flags Details
make install error output - man script (10.06 KB, text/plain)
2016-01-06 20:00 UTC, andrew
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description andrew 2016-01-04 15:32:47 UTC
Created attachment 165061 [details]
Screenshot showing port install error

Freenas 9.3.1
Mkvtoolnix package not found with - pkg install mkvtoolnix

Also installing via port
/usr/ports/multimedia/mkvtoolnix. Exits with an error
Mkvtoolnix version was updated in last week
Comment 1 Thomas Zander freebsd_committer 2016-01-05 13:46:58 UTC
This should be fixed in r405290. I could reproduce the problem and applied the required fixes in the process of updating to the most recent upstream version 8.7.0.

Can you verify that this solves the issue for you as well? TIA.
Comment 2 andrew 2016-01-05 14:14:07 UTC
Hi

what is r405290 and how do I apply it

i just ran pkg install mkvtoolnix - nothing found
and make install clean - in the ports - it is still trying and failing to install 8.6.1 verion not 8.7.0

thanks
Comment 3 andrew 2016-01-05 14:19:42 UTC
(In reply to Thomas Zander from comment #1)
Hi

what is r405290 and how do I apply it

i just ran pkg install mkvtoolnix - nothing found
and make install clean - in the ports - it is still trying and failing to install 8.6.1 verion not 8.7.0

thanks
Comment 4 Thomas Zander freebsd_committer 2016-01-05 14:50:56 UTC
(In reply to andrew from comment #3)

There certainly won't be a new set of packages yet. You need to build it from ports. r405290 is the svn revision of the checkin that should fix the problem, see https://svnweb.freebsd.org/ports?view=revision&revision=405290

If you track your ports tree via subversion, you should receive it via 'svn up'. If you use other means (portsnap etc.), give it some time and try again.
Comment 5 andrew 2016-01-05 16:26:39 UTC
Created attachment 165110 [details]
5th jan - port error
Comment 6 Thomas Zander freebsd_committer 2016-01-05 16:28:33 UTC
MFH in r405301.
Comment 7 Thomas Zander freebsd_committer 2016-01-05 16:32:43 UTC
(In reply to andrew from comment #5)

A screenshot with a few lines really does not help. Can you provide a full build log, preferably from poudriere?
Comment 8 andrew 2016-01-05 16:46:32 UTC
(In reply to Thomas Zander from comment #7)
where wouldi find the build log file ?
i had a look, but couldnt find it
Comment 9 Thomas Zander freebsd_committer 2016-01-05 17:24:48 UTC
(In reply to andrew from comment #8)

From your screenshot I take it you did not set up poudriere to build ports. Please consider doing that, it's the right tool for the job, see
https://www.freebsd.org/doc/en/books/porters-handbook/testing-poudriere.html

For now, if you want to get a log of the build process you could use script(1) to generate a log of your terminal session, have a look at "man script".

On an unrelated note, my guess is that you have not started with a clean build environment before trying this build of mkvoolnix 8.7.0.

- Ensure you have updated your entire ports tree.
- Perform a "make clean" in /usr/ports/multimedia/mkvtoolnix
- Then perform "make" in /usr/ports/multimedia/mkvtoolnix

By the way, building all the ports inside the ports tree may not be optimal since cleaning the tree via (cd /usr/ports && make clean) takes forever. Consider setting WRKDIRPREFIX=/path/to/your/preferred/portbuild/directory in make.conf. That makes cleaning the build environment easier and quicker as 'rm -rf /path/to/your/preferred/portbuild/directory/*' usually suffices.
Comment 10 andrew 2016-01-06 19:46:03 UTC
(In reply to Thomas Zander from comment #9)


thanks for suggestions

i had done this:
- Ensure you have updated your entire ports tree.
- Perform a "make clean" in /usr/ports/multimedia/mkvtoolnix
- Then perform "make" in /usr/ports/multimedia/mkvtoolnix

I have taken a look at poudiere,   but the process is way beyond my understanding and skills...

when would the package for nkvtoolnix become available for straightforward install using command "pkg install mkvtoolnix"  - i.e. when would it be added to repository

thanks
Comment 11 andrew 2016-01-06 19:59:38 UTC
(In reply to Thomas Zander from comment #9)

ps-
here is the man script output

also attached as error.txt

Script started on Wed Jan  6 19:56:46 2016
root@sabnzbd_1:/usr/ports/multimedia/mkvtoolnix # exitrm -r mkvtoolnix_error.txt[26Dls[Kedit mkvtoolnix_error.txt[25Dls[Kscript -a mkvtoolnix_error.txt[30D[5Pmore[21C[25Dls[Kscript mkvtoolnix_error.txt[27Dmake install[K[12Dcd /usr/ports/multimedia/mkvtoolnix/[36Dmake install[K

===>  Installing for mkvtoolnix-8.7.0
===>   mkvtoolnix-8.7.0 depends on executable: update-desktop-database - found
===>   mkvtoolnix-8.7.0 depends on executable: update-mime-database - found
===>   mkvtoolnix-8.7.0 depends on executable: gcc48 - found
===>   mkvtoolnix-8.7.0 depends on file: /usr/local/lib/libQt5Core.so - found
===>   mkvtoolnix-8.7.0 depends on file: /usr/local/lib/libQt5Quick.so - found
===>   mkvtoolnix-8.7.0 depends on file: /usr/local/lib/libQt5Widgets.so - found
===>   mkvtoolnix-8.7.0 depends on shared library: libvorbis.so - found (/usr/local/lib/libvorbis.so)
===>   mkvtoolnix-8.7.0 depends on shared library: libogg.so - found (/usr/local/lib/libogg.so)
===>   mkvtoolnix-8.7.0 depends on shared library: libebml.so - found (/usr/local/lib/libebml.so)
===>   mkvtoolnix-8.7.0 depends on shared library: libboost_regex.so - found (/usr/local/lib/libboost_regex.so)
===>   mkvtoolnix-8.7.0 depends on shared library: libmatroska.so - found (/usr/local/lib/libmatroska.so)
===>   mkvtoolnix-8.7.0 depends on shared library: libFLAC.so - found (/usr/local/lib/libFLAC.so)
===>   mkvtoolnix-8.7.0 depends on shared library: libiconv.so - found (/usr/local/lib/libiconv.so)
===>   mkvtoolnix-8.7.0 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>  Checking if mkvtoolnix already installed
===>   Registering installation for mkvtoolnix-8.7.0
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/bin/mkvtoolnix-gui: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/man/ca/man1/mkvtoolnix-gui.1.gz: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/man/de/man1/mkvtoolnix-gui.1.gz: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/man/es/man1/mkvtoolnix-gui.1.gz: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/man/ja/man1/mkvtoolnix-gui.1.gz: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/man/man1/mkvtoolnix-gui.1.gz: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/man/nl/man1/mkvtoolnix-gui.1.gz: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/man/uk/man1/mkvtoolnix-gui.1.gz: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/man/zh_CN/man1/mkvtoolnix-gui.1.gz: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/applications/mkvinfo.desktop: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/applications/mkvtoolnix-gui.desktop: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/128x128/apps/mkvextract.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/128x128/apps/mkvinfo.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/128x128/apps/mkvmerge.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/128x128/apps/mkvpropedit.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/128x128/apps/mkvtoolnix-gui.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/16x16/apps/mkvextract.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/16x16/apps/mkvinfo.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/16x16/apps/mkvmerge.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/16x16/apps/mkvpropedit.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/16x16/apps/mkvtoolnix-gui.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/24x24/apps/mkvextract.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/24x24/apps/mkvinfo.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/24x24/apps/mkvmerge.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/24x24/apps/mkvpropedit.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/24x24/apps/mkvtoolnix-gui.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/256x256/apps/mkvextract.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/256x256/apps/mkvinfo.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/256x256/apps/mkvmerge.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/256x256/apps/mkvpropedit.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/256x256/apps/mkvtoolnix-gui.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/32x32/apps/mkvextract.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/32x32/apps/mkvinfo.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/32x32/apps/mkvmerge.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/32x32/apps/mkvpropedit.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/32x32/apps/mkvtoolnix-gui.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/48x48/apps/mkvextract.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/48x48/apps/mkvinfo.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/48x48/apps/mkvmerge.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/48x48/apps/mkvpropedit.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/48x48/apps/mkvtoolnix-gui.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/64x64/apps/mkvextract.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/64x64/apps/mkvinfo.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/64x64/apps/mkvmerge.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/64x64/apps/mkvpropedit.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/64x64/apps/mkvtoolnix-gui.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/96x96/apps/mkvextract.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/96x96/apps/mkvinfo.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/96x96/apps/mkvmerge.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/96x96/apps/mkvpropedit.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/icons/hicolor/96x96/apps/mkvtoolnix-gui.png: No such file or directory
pkg-static: Unable to access file /usr/ports/multimedia/mkvtoolnix/work/stage/usr/local/share/mime/packages/mkvtoolnix.xml: No such file or directory
*** [fake-pkg] Error code 74

Stop in /usr/ports/multimedia/mkvtoolnix.
*** [install] Error code 1

Stop in /usr/ports/multimedia/mkvtoolnix.
root@sabnzbd_1:/usr/ports/multimedia/mkvtoolnix # exit

exit

Script done on Wed Jan  6 19:57:02 2016
Comment 12 andrew 2016-01-06 20:00:13 UTC
Created attachment 165180 [details]
make install error output - man script
Comment 13 Thomas Zander freebsd_committer 2016-01-09 13:58:26 UTC
(In reply to andrew from comment #12)

There is no *build* happening, only install. This indicate that a previous failed build is still there and has not been cleaned up. Did you clean your ports tree before building as suggested?
Comment 14 andrew 2016-01-09 14:43:43 UTC
(In reply to Thomas Zander from comment #13)
Yes
I did a "make clean"
Then "make"
And also deleted entire mkvtoolnix port directory
Comment 15 Thomas Zander freebsd_committer 2016-01-09 15:21:05 UTC
(In reply to andrew from comment #14)

But nothing from the "make" is included in the log, only the "make install" part.
Comment 16 Thomas Zander freebsd_committer 2016-01-09 15:22:01 UTC
Accidental close. Reopened for now.
Comment 17 andrew 2016-01-09 16:37:35 UTC
Hi
You can close his now
I just installed it via " pkg install mkvtoolnix" command since it was available in the repository now

Thanks for help
Comment 18 Thomas Zander freebsd_committer 2016-01-09 16:54:55 UTC
Official FreeNAS package is available; build problem is very likely a local issue. Submitter proposes to close this bug.